local gr, pi, sin, cos, mod = love.graphics, math.pi, math.sin, math.cos, math.mod

function love.load()
	w, h			= 300, 300
	love.window.setMode( w, h, {} )
	love.window.setTitle( 'Tick Tock' )
	center			= {w/2,h/2}
	radiusSecond	= {100,110}
	radiusMinute	= {50,90}
	radiusHour		= {10,40}
	radiusTick		= {30,40}
	end

function love.update( dt )
	m = os.date( '%M' )
	h = tonumber( os.date( '%H') )
	if h > 12 then h = h - 12 end
	s = os.date('%S')
	M = os.date('%m')
	D = os.date('%d')
	Y = os.date('%Y')
	end

function ring( value, radius, cnt, step, tick, linewidth, first )
	gr.setLineWidth( linewidth )
	for tk = first, value do
		if mod(tk,tick)>0 then gr.setColor(0,0,255) else gr.setColor(255,0,0) end
		local an = step * tk * pi / 180 - pi / 2
		local x1 = radius[1] * cos( an ) + cnt[1]
		local y1 = radius[1] * sin( an ) + cnt[2]
		local x2 = radius[2] * cos( an ) + cnt[1]
		local y2 = radius[2] * sin( an ) + cnt[2]
		gr.line( x1, y1, x2, y2 )
		end
	gr.setLineWidth( 1 )
	end

function love.draw()
	ring( s, radiusSecond, center, 6, 5, 1, 0 )
	if math.mod(s,2) > 0 then gr.setColor(255,0,0) else gr.setColor(0,0, 255) end
	gr.circle( 'fill', center[1], center[2], 5 )	-- pulser
	ring( m, radiusMinute, center, 6, 5, 1, 0 )
	ring( h, radiusHour, center,30, 3, 3, h )
	ring( 12,radiusTick, center, 30, 3, 1, 0 )
	gr.setColor(255,0,0)
	local tm = h..':'..m..':'..s
	local lw = gr.getFont():getWidth( tm )
	gr.print( tm, center[1] - lw / 2, 275 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit( ) end
	end
